Devuan bug report logs - #428
cgroupfs-mount: Cannot remove cgroupfs-mount

version graph

Package: cgroupfs-mount; Maintainer for cgroupfs-mount is Tanya <tanyadegurechaff@waifu.club>;

Reported by: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>

Date: Fri, 24 Apr 2020 20:03:01 UTC

Severity: normal

Tags: debian

Found in version 1.4

Fixed in version 1.4+devuan1

Done: dak@devuan.org

Forwarded to https://bugs.debian.org/950986

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#428; Package cgroupfs-mount. (Fri, 24 Apr 2020 20:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Fri, 24 Apr 2020 20:03:04 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: cgroupfs-mount: Cannot remove cgroupfs-mount
Date: Sat, 25 Apr 2020 04:56:02 +0900 (JST)
Package: cgroupfs-mount
Version: 1.4
Severity: normal

Dear Maintainer,

After installation of cgroupfs-mount, tring to remove it gives

Removing cgroupfs-mount (1.4) ...
Unmounting cgroupfs hierarchyumount: /sys/fs/cgroup/elogind: target is busy.
invoke-rc.d: initscript cgroupfs-mount, action "stop" failed.
dpkg: error processing package cgroupfs-mount (--remove):
 installed cgroupfs-mount package pre-removal script subprocess returned error exit status 32
Errors were encountered while processing:
 cgroupfs-mount
E: Sub-process /usr/bin/dpkg returned an error code (1)

Best regards, Ryutaroh Matsumoto


-- System Information:
Distributor ID:	Debian
Description:	Devuan GNU/Linux 3 (beowulf)
Release:	3
Codename:	beowulf
Architecture: x86_64

Kernel: Linux 4.19.0-8-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=C.UTF-8 (charmap=locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
UTF-8), LANGUAGE=en_US:en (charmap=locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages cgroupfs-mount depends on:
ii  lsb-base  10.2019051400

cgroupfs-mount recommends no packages.

cgroupfs-mount suggests no packages.

-- debconf information:
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = "en_US:en",
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#428; Package cgroupfs-mount. (Sat, 25 Apr 2020 09:18:02 GMT) (full text, mbox, link).


Message #8 received at 428@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 428@bugs.devuan.org, Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>
Subject: Re: cgroupfs-mount: Cannot remove cgroupfs-mount
Date: Sat, 25 Apr 2020 10:00:16 +0100
Control: tags -1 debian

Ryutaroh,

On Sat, 25 Apr 2020 04:56:02 +0900 (JST) Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp> wrote:
> Package: cgroupfs-mount
> Version: 1.4
> Severity: normal
> 
> Dear Maintainer,
> 
> After installation of cgroupfs-mount, tring to remove it gives
> 
> Removing cgroupfs-mount (1.4) ...
> Unmounting cgroupfs hierarchyumount: /sys/fs/cgroup/elogind: target is busy.
> invoke-rc.d: initscript cgroupfs-mount, action "stop" failed.
> dpkg: error processing package cgroupfs-mount (--remove):
>  installed cgroupfs-mount package pre-removal script subprocess returned error exit status 32
> Errors were encountered while processing:
>  cgroupfs-mount
> E: Sub-process /usr/bin/dpkg returned an error code (1)

Thanks. Yes I bumped into this a couple of days ago.

The problem appears to be that /usr/bin/cgroupfs-umount tries to unmount all the
cgroups, even if it didn't originally create them. elogind creates its own cgroupfs and is
still using it.

As cgroupfs-mount is not a forked package and Devuan uses Debian's package
directly it needs to be fixed in Debian. There is already a Debian bug about it
at https://bugs.debian.org/950986.

I do have a workaround: cgroupfs-mount removes cleanly in single user mode (when
elogind is not running), or you can stop elogind first and then remove
cgroupfs-mount. However, this will also lose your logind sessions which may or
may not matter to you. Obviously new ones are created once elogind is restarted
and you log back in.

Mark

Added tag(s) debian. Request was from Mark Hindley <mark@hindley.org.uk> to 428-submit@bugs.devuan.org. (Sat, 25 Apr 2020 09:18:04 GMT) (full text, mbox, link).


Set bug forwarded-to-address to 'https://bugs.debian.org/950986'. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Thu, 21 May 2020 10:33:06 GMT) (full text, mbox, link).


Reply sent to dak@devuan.org:
You have taken responsibility. (Sat, 04 Jul 2020 22:03:13 GMT) (full text, mbox, link).


Notification sent to Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>:
bug acknowledged by developer. (Sat, 04 Jul 2020 22:03:15 GMT) (full text, mbox, link).


Message #17 received at 428-done@bugs.devuan.org (full text, mbox, reply):

From: dak@devuan.org
To: 428-done@bugs.devuan.org
Subject: #428: fixed in src:cgroupfs-mount version 1.4+devuan1
Date: Sat, 04 Jul 2020 19:24:14 +0000
Version: 1.4+devuan1

Source package cgroupfs-mount (1.4+devuan1) added to Devuan suite unstable.

This closes bug report 428.

Thanks

DAK managing the Devuan archive

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 29 Jun 2020 23:20:15 +0200
Source: cgroupfs-mount
Binary: cgroupfs-mount
Architecture: source
Version: 1.4+devuan1
Distribution: unstable
Urgency: medium
Maintainer: Tanya <tanyadegurechaff@waifu.club>
Changed-By: Tanya <tanyadegurechaff@waifu.club>
Description:
 cgroupfs-mount - Light-weight package to set up cgroupfs mounts
Closes: 426 428
Changes:
 cgroupfs-mount (1.4+devuan1) unstable; urgency=medium
 .
   * Create systemd cgroup if not present (Closes: #426)
   * Limit cgroups unmounting to mounts generated by these scripts (Closes: #428)
Checksums-Sha1:
 2030486328da8a8b7918f6c29450fa21177e0adc 1296 cgroupfs-mount_1.4+devuan1.dsc
 8eaacf61f9fac9e362409816392e432855d7e6e6 5524 cgroupfs-mount_1.4+devuan1.tar.xz
 4a96d8ff35ab44d998dfe1fa1555068ff04db01f 2996 cgroupfs-mount_1.4+devuan1_source.buildinfo
Checksums-Sha256:
 e3e34d6ec06457127e2228e25e431d20e520f4c7e1cc531f159eebd0fd4be9d8 1296 cgroupfs-mount_1.4+devuan1.dsc
 dbdb8db3a411415399635f8b7334683064d21e1b6ce8e2d1ca2fa37bab589efb 5524 cgroupfs-mount_1.4+devuan1.tar.xz
 c59bb5cbdfcff3b2d42ef1a67841e1f6d162b146dc196cf4bd61a5dbc94dbda3 2996 cgroupfs-mount_1.4+devuan1_source.buildinfo
Files:
 0a99a066b69076c0b31b2f48a9e53fe2 1296 admin optional cgroupfs-mount_1.4+devuan1.dsc
 1fa69b2d321adc8a71e5568c890182c4 5524 admin optional cgroupfs-mount_1.4+devuan1.tar.xz
 04f93e717650dfc9f8c2c8f43c884672 2996 admin optional cgroupfs-mount_1.4+devuan1_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEcuPLdzMV36LkZHQ9lFMhJFQZIvsFAl8A1n8ACgkQlFMhJFQZ
Ivv40Af/cLeBUFi1GWPxAHEkpkkPSrJEFsD7K4XHP2iiQcbeIQeT4JirIpB6lO/D
yMvNRsI8xgDDfr84Z5HqFqz0e1XWtv7xi/MBbY3c1TOFEfqtpn9j5KGW969EkgBv
nsLVPGvGb+lAAlmPPxH1xoT2RHNRFL6zMPXZ0AszYhOSEPE2HA/I4wikS7ZdzRPS
JWCAR1SgKkjOQbSbtXxwYix/9ZpqR3fZxzDgaAwNmByLtsOD2C0BdTifD2Qctgmv
M2UgzMyPVAh5ICA4WqGLJLDylI3U9n7LCr9VpI1gFGvaTdypc5aviZjXFtKhdlSG
rOxrbG+6IFAsgj5gIxZbpQ70ddk9Ww==
=QhH2
-----END PGP SIGNATURE-----

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Wed Jul 8 00:48:57 2020;